\chapter{The server}

The \concept{Netfarm server} is a decentralise2 system, which retrieves a
partition of all the objects available to it, and makes them available to
its connections.

In the introduction to decentralise2, we argued that the terms ``client''
and ``server'' do not have enough meaning to be useful when discussing Netfarm
software; but we ended up calling this module a ``server''. 

\Defclass {netfarm-system}

The class of a Netfarm server.